OpenNMS API 1.2.9

## org.opennms.netmgt.config.collectd
Class SnmpCollection

    java.lang.Object
      org.opennms.netmgt.config.collectd.SnmpCollection

All Implemented Interfaces:
  java.io.Serializable

public class SnmpCollection
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private Groups` `_groups`
`private boolean` `_has_maxVarsPerPdu` keeps track of state for field: _maxVarsPerPdu
`private int` `_maxVarsPerPdu`
`private java.lang.String` `_name`
`private Rrd` `_rrd`
`private java.lang.String` `_snmpStorageFlag`
`private Systems` `_systems`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`SnmpCollection()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`Groups` `getGroups()` Returns the value of field 'groups'.
`int` `getMaxVarsPerPdu()` Returns the value of field 'maxVarsPerPdu'.
`java.lang.String` `getName()` Returns the value of field 'name'.
`Rrd` `getRrd()` Returns the value of field 'rrd'.
`java.lang.String` `getSnmpStorageFlag()` Returns the value of field 'snmpStorageFlag'.
`Systems` `getSystems()` Returns the value of field 'systems'.
`boolean` `hasMaxVarsPerPdu()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setGroups(Groups groups)` Sets the value of field 'groups'.
`void` `setMaxVarsPerPdu(int maxVarsPerPdu)` Sets the value of field 'maxVarsPerPdu'.
`void` `setName(java.lang.String name)` Sets the value of field 'name'.
`void` `setRrd(Rrd rrd)` Sets the value of field 'rrd'.
`void` `setSnmpStorageFlag(java.lang.String snmpStorageFlag)` Sets the value of field 'snmpStorageFlag'.
`void` `setSystems(Systems systems)` Sets the value of field 'systems'.
`static SnmpCollection` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _name

    private java.lang.String _name

### _maxVarsPerPdu

    private int _maxVarsPerPdu

### _has_maxVarsPerPdu

    private boolean _has_maxVarsPerPdu

  keeps track of state for field: _maxVarsPerPdu

### _snmpStorageFlag

    private java.lang.String _snmpStorageFlag

### _rrd

    private Rrd _rrd

### _groups

    private Groups _groups

### _systems

    private Systems _systems

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### SnmpCollection

    public SnmpCollection()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getGroups

    public Groups getGroups()

  Returns the value of field 'groups'.

  Returns:
    the value of field 'groups'.

### getMaxVarsPerPdu

    public int getMaxVarsPerPdu()

  Returns the value of field 'maxVarsPerPdu'.

  Returns:
    the value of field 'maxVarsPerPdu'.

### getName

    public java.lang.String getName()

  Returns the value of field 'name'.

  Returns:
    the value of field 'name'.

### getRrd

    public Rrd getRrd()

  Returns the value of field 'rrd'.

  Returns:
    the value of field 'rrd'.

### getSnmpStorageFlag

    public java.lang.String getSnmpStorageFlag()

  Returns the value of field 'snmpStorageFlag'.

  Returns:
    the value of field 'snmpStorageFlag'.

### getSystems

    public Systems getSystems()

  Returns the value of field 'systems'.

  Returns:
    the value of field 'systems'.

### hasMaxVarsPerPdu

    public boolean hasMaxVarsPerPdu()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setGroups

    public void setGroups(Groups groups)

  Sets the value of field 'groups'.

  Parameters:
    `groups` - the value of field 'groups'.

### setMaxVarsPerPdu

    public void setMaxVarsPerPdu(int maxVarsPerPdu)

  Sets the value of field 'maxVarsPerPdu'.

  Parameters:
    `maxVarsPerPdu` - the value of field 'maxVarsPerPdu'.

### setName

    public void setName(java.lang.String name)

  Sets the value of field 'name'.

  Parameters:
    `name` - the value of field 'name'.

### setRrd

    public void setRrd(Rrd rrd)

  Sets the value of field 'rrd'.

  Parameters:
    `rrd` - the value of field 'rrd'.

### setSnmpStorageFlag

    public void setSnmpStorageFlag(java.lang.String snmpStorageFlag)

  Sets the value of field 'snmpStorageFlag'.

  Parameters:
    `snmpStorageFlag` - the value of field 'snmpStorageFlag'.

### setSystems

    public void setSystems(Systems systems)

  Sets the value of field 'systems'.

  Parameters:
    `systems` - the value of field 'systems'.

### unmarshal

    public static SnmpCollection unmarshal(java.io.Reader reader)
                                    throws org.exolab.castor.xml.MarshalException,
                                           org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.